# https://github.com/pyside/Shiboken/archive/1.2.4.tar.gz
%define module shiboken

Name:           python-%{module}
Version:        1.2.4
Release:        %mkrel 1
Summary:        Creates the PySide bindings source files

License:        GPLv2
Group:          Development/KDE and Qt
URL:            http://www.pyside.org
Source0:        Shiboken-%{version}.tar.xz
Patch0:         shiboken-1.2.4-simplefile-test.patch
Patch1:         shiboken-1.2.4-fix-collector_external_operator_test.patch.patch
Patch2:         shiboken-python3.patch

BuildRequires:  cmake
BuildRequires:  %{_lib}qt4-devel
BuildRequires:  %{_lib}xslt-devel
BuildRequires:  %{_lib}xml2-devel
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%rename         %{module}
%rename         %{_lib}%{module}1

%description
%{summary}.

%package -n python3-%{module}
Summary:        %{summary}.
Group:          Development/KDE and Qt
%rename         python3-%{module}
%rename         %{_lib}python3-%{module}1

%description -n python3-%{module}
%{summary}.

%package devel
Summary:        Devel stuff for Shiboken Generator
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       python3-%{module} = %{version}-%{release}
%rename         %{module}-devel
%rename         python3-%{module}-devel

%description devel
Devel stuff for Shiboken Generator.

%prep
%setup -qn Shiboken-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
cp -a . %{py3dir}

%build
pushd %{py3dir}
%cmake -DUSE_PYTHON3=True -DBUILD_TESTS=OFF
%make_build
popd

%cmake -DBUILD_TESTS=OFF
%make_build

%install
pushd %{py3dir}
%makeinstall_std -C build
mv %{buildroot}%{_bindir}/%{module} %{buildroot}%{_bindir}/%{module}-%{python3_version}
mv %{buildroot}%{_mandir}/man1/%{module}.1 %{buildroot}%{_mandir}/man1/%{module}-%{python3_version}.1
popd
%makeinstall_std -C build

%files
%{_bindir}/%{module}
%{_libdir}/lib%{module}-python2.7.so.*
%{python_sitearch}/%{module}.so
%{_mandir}/man1/%{module}.1.bz2

%files -n python3-%{module}
%{_bindir}/%{module}-3.6
%{_libdir}/lib%{module}.*so.*
%{python3_sitearch}/%{module}.so
%{_mandir}/man1/%{module}-3.6.1.bz2

%files devel
%{_includedir}/%{module}
%{_libdir}/lib%{module}*.so
%{_libdir}/pkgconfig/%{module}.pc
%{_libdir}/cmake/Shiboken-%{version}

%changelog
* Wed Apr 04 2018 marcin82 <fixxer1982 at gmail.com> 1.2.4-1pclos2018
- update, added patches from Fedora
- rearranged packages

* Wed Jun 24 2015 gseaman <galen.seaman at comcast.net> 1.2.2-1gseaman2015
- rebase on Mageia for python3 support
